import React from 'react';
import { Modal } from 'antd';

interface VideoPlayModalProps {
  visible: boolean;
	onClose: () => void;
	title: string;
  videoUrl: string;
}

const VideoPlayModal: React.FC<VideoPlayModalProps> = ({ visible, onClose, title, videoUrl }) => {
  return (
    <Modal
      open={visible}
      onCancel={onClose}
      footer={null}
			destroyOnClose
			title={title}
    >
      <video controls autoPlay className="w-full h-auto max-h-[80vh] block" src={videoUrl}>
        Your browser does not support the video tag.
      </video>
    </Modal>
  );
};

export default VideoPlayModal;